using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：作业指导书
    /// </summary>
    [Description("导航属性：作业指导书")]
    public class T_HM_OPERATION_INSTRUCTION_FILE : MesEntityBase
    {
        /// <summary>
        /// 作业任务ID
        /// </summary>
        [Description("作业任务ID")]
        [DataFieldForeignKey("Nav_OperationLink", "Nav_Files")]
        public Guid OPERATION_LINK_ID { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：作业任务
        /// </summary>
        [Description("导航属性：作业任务")]
        public T_HM_OPERATION_LINK Nav_OperationLink { get; set; }
        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
